package com.github.wxiaoqi.security.admin.rest;

import com.github.wxiaoqi.security.admin.biz.BranchCompanyBiz;
import com.github.wxiaoqi.security.admin.dto.CompanySearchDTO;
import com.github.wxiaoqi.security.admin.entity.CompanyInfo;
import com.github.wxiaoqi.security.auth.client.annotation.IgnoreUserToken;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author Administrator
 */
@Slf4j
@RestController
@RequestMapping("app/branchCompany")
@RequiredArgsConstructor(onConstructor_ = {@Autowired})
@Api(tags = {"商家"})
public class AppBranchCompanyController extends BaseController<BranchCompanyBiz> {





    @GetMapping("getHotCompany")
    @ApiModelProperty("获取热门商家")
    public  ObjectRestResponse getHotCompany(@RequestParam("page") Integer page,
                                             @RequestParam("limit") Integer limit) {
     return ObjectRestResponse.succ(baseBiz.getHotCompany(page,limit));
    }



    @GetMapping("app/unauth/selectList")
    @ApiModelProperty("店铺列表")
    @IgnoreUserToken
    public  ObjectRestResponse selectList(CompanySearchDTO companySearchDTO) {
        return ObjectRestResponse.succ( baseBiz.search(companySearchDTO));
    }

}
